diff -Nuar glibc-2.2.5.orig/catgets/test-gencat.sh glibc-2.2.5/catgets/test-gencat.sh
--- glibc-2.2.5.orig/catgets/test-gencat.sh	Wed Jul 25 14:04:33 2001
+++ glibc-2.2.5/catgets/test-gencat.sh	Tue Jul  2 12:43:51 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # Test escape character handling in gencat.
 # Copyright (C) 2000, 2001 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
diff -Nuar glibc-2.2.5.orig/configure glibc-2.2.5/configure
--- glibc-2.2.5.orig/configure	Sat Feb 23 00:25:10 2002
+++ glibc-2.2.5/configure	Tue Jul  2 12:53:19 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 # From configure.in CVSid
 
@@ -3775,7 +3775,7 @@
 echo creating $CONFIG_STATUS
 rm -f $CONFIG_STATUS
 cat > $CONFIG_STATUS <<EOF
-#! /bin/sh
+#! /bin/bash
 # Generated automatically by configure.
 # Run this file to recreate the current configuration.
 # This directory was configured as follows,
diff -Nuar glibc-2.2.5.orig/iconvdata/gen-8bit-gap-1.sh glibc-2.2.5/iconvdata/gen-8bit-gap-1.sh
--- glibc-2.2.5.orig/iconvdata/gen-8bit-gap-1.sh	Wed Sep 27 11:48:15 2000
+++ glibc-2.2.5/iconvdata/gen-8bit-gap-1.sh	Tue Jul  2 12:48:06 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 echo "static const uint32_t iso88597_to_ucs4[96] = {"
 sed -ne '/^[^[:space:]]*[[:space:]]*.x00/d' \
     -e 's/^<U\(....\)>[[:space:]]*.x\([A-Fa-f].\).*/  [0x\2 - 0xA0] = 0x\1,/p' \
diff -Nuar glibc-2.2.5.orig/iconvdata/gen-8bit-gap.sh glibc-2.2.5/iconvdata/gen-8bit-gap.sh
--- glibc-2.2.5.orig/iconvdata/gen-8bit-gap.sh	Tue Sep 19 20:55:29 2000
+++ glibc-2.2.5/iconvdata/gen-8bit-gap.sh	Tue Jul  2 12:48:20 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 echo "static const uint32_t to_ucs4[256] = {"
 sed -ne '/^[^[:space:]]*[[:space:]]*.x00/d' \
     -e 's/^<U\(....\)>[[:space:]]*.x\(..\).*/  [0x\2] = 0x\1,/p' \
diff -Nuar glibc-2.2.5.orig/iconvdata/gen-8bit.sh glibc-2.2.5/iconvdata/gen-8bit.sh
--- glibc-2.2.5.orig/iconvdata/gen-8bit.sh	Tue Sep 19 20:55:29 2000
+++ glibc-2.2.5/iconvdata/gen-8bit.sh	Tue Jul  2 12:48:38 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 echo "static const uint32_t to_ucs4[256] = {"
 sed -ne '/^[^[:space:]]*[[:space:]]*.x00/d' \
     -e 's/^<U\(....\)>[[:space:]]*.x\(..\).*/  [0x\2] = 0x\1,/p' \
diff -Nuar glibc-2.2.5.orig/iconvdata/run-iconv-test.sh glibc-2.2.5/iconvdata/run-iconv-test.sh
--- glibc-2.2.5.orig/iconvdata/run-iconv-test.sh	Sun Jul  8 14:35:25 2001
+++ glibc-2.2.5/iconvdata/run-iconv-test.sh	Tue Jul  2 12:48:56 2002
@@ -1,4 +1,4 @@
-#! /bin/sh -f
+#! /bin/bash -f
 # Run available iconv(1) tests.
 # Copyright (C) 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
diff -Nuar glibc-2.2.5.orig/io/ftwtest-sh glibc-2.2.5/io/ftwtest-sh
--- glibc-2.2.5.orig/io/ftwtest-sh	Tue Dec 19 00:19:40 2000
+++ glibc-2.2.5/io/ftwtest-sh	Tue Jul  2 12:49:10 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 # The common objpfx, used to find libraries and the dynamic loader.
 objpfx=$1
diff -Nuar glibc-2.2.5.orig/localedata/gen-locale.sh glibc-2.2.5/localedata/gen-locale.sh
--- glibc-2.2.5.orig/localedata/gen-locale.sh	Sun Jul  8 14:35:47 2001
+++ glibc-2.2.5/localedata/gen-locale.sh	Tue Jul  2 12:49:22 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # Generate test locale files.
 # Copyright (C) 2000-2001 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
diff -Nuar glibc-2.2.5.orig/localedata/sort-test.sh glibc-2.2.5/localedata/sort-test.sh
--- glibc-2.2.5.orig/localedata/sort-test.sh	Tue Sep 19 20:55:31 2000
+++ glibc-2.2.5/localedata/sort-test.sh	Tue Jul  2 12:49:37 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 common_objpfx=$1; shift
 run_program_prefix=$1; shift
diff -Nuar glibc-2.2.5.orig/manual/libc-texinfo.sh glibc-2.2.5/manual/libc-texinfo.sh
--- glibc-2.2.5.orig/manual/libc-texinfo.sh	Sat Sep  1 22:55:47 2001
+++ glibc-2.2.5/manual/libc-texinfo.sh	Tue Jul  2 12:49:52 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 # Create libc.texinfo from the chapter files.
 
diff -Nuar glibc-2.2.5.orig/posix/glob/configure glibc-2.2.5/posix/glob/configure
--- glibc-2.2.5.orig/posix/glob/configure	Sat Feb 23 00:25:10 2002
+++ glibc-2.2.5/posix/glob/configure	Tue Jul  2 12:51:41 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 # Guess values for system-dependent variables and create Makefiles.
 # Generated automatically using autoconf version 2.7 
@@ -1534,7 +1534,7 @@
 echo creating $CONFIG_STATUS
 rm -f $CONFIG_STATUS
 cat > $CONFIG_STATUS <<EOF
-#! /bin/sh
+#! /bin/bash
 # Generated automatically by configure.
 # Run this file to recreate the current configuration.
 # This directory was configured as follows,
diff -Nuar glibc-2.2.5.orig/posix/globtest.sh glibc-2.2.5/posix/globtest.sh
--- glibc-2.2.5.orig/posix/globtest.sh	Thu Dec 13 22:28:01 2001
+++ glibc-2.2.5/posix/globtest.sh	Tue Jul  2 12:54:23 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 common_objpfx=$1; shift
 elf_objpfx=$1; shift
diff -Nuar glibc-2.2.5.orig/posix/wordexp-tst.sh glibc-2.2.5/posix/wordexp-tst.sh
--- glibc-2.2.5.orig/posix/wordexp-tst.sh	Fri Oct 20 19:18:20 2000
+++ glibc-2.2.5/posix/wordexp-tst.sh	Tue Jul  2 12:54:35 2002
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 # Some of these tests may look a little weird.
 # The first parameter to wordexp-test is what it gives to wordexp.
diff -Nuar glibc-2.2.5.orig/scripts/config.guess glibc-2.2.5/scripts/config.guess
--- glibc-2.2.5.orig/scripts/config.guess	Sat Jun 16 18:54:52 2001
+++ glibc-2.2.5/scripts/config.guess	Tue Jul  2 12:54:46 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
 #   Free Software Foundation, Inc.
diff -Nuar glibc-2.2.5.orig/scripts/config.sub glibc-2.2.5/scripts/config.sub
--- glibc-2.2.5.orig/scripts/config.sub	Sat Jun 16 18:54:52 2001
+++ glibc-2.2.5/scripts/config.sub	Tue Jul  2 12:55:00 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
 #   Free Software Foundation, Inc.
diff -Nuar glibc-2.2.5.orig/scripts/install-sh glibc-2.2.5/scripts/install-sh
--- glibc-2.2.5.orig/scripts/install-sh	Tue Sep 19 20:55:32 2000
+++ glibc-2.2.5/scripts/install-sh	Tue Jul  2 12:55:11 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 #
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
diff -Nuar glibc-2.2.5.orig/scripts/mkinstalldirs glibc-2.2.5/scripts/mkinstalldirs
--- glibc-2.2.5.orig/scripts/mkinstalldirs	Tue Sep 19 20:55:32 2000
+++ glibc-2.2.5/scripts/mkinstalldirs	Tue Jul  2 12:55:30 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # mkinstalldirs --- make directory hierarchy
 # Author: Noah Friedman <friedman@prep.ai.mit.edu>
 # Created: 1993-05-16
diff -Nuar glibc-2.2.5.orig/scripts/move-if-change glibc-2.2.5/scripts/move-if-change
--- glibc-2.2.5.orig/scripts/move-if-change	Tue Sep 19 20:55:32 2000
+++ glibc-2.2.5/scripts/move-if-change	Tue Jul  2 12:55:42 2002
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # Like mv $1 $2, but if the files are the same, just delete $1.
 # Status is 0 if $2 is changed, 1 otherwise.
 if
diff -Nuar glibc-2.2.5.orig/scripts/rellns-sh glibc-2.2.5/scripts/rellns-sh
--- glibc-2.2.5.orig/scripts/rellns-sh	Tue Sep 19 20:55:32 2000
+++ glibc-2.2.5/scripts/rellns-sh	Tue Jul  2 12:55:52 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 # rellns-sh - Simplified ln program to generate relative symbolic link.
 # Copyright (C) 1996, 1997 Free Software Foundation, Inc.
 # Written by Ulrich Drepper <drepper@cygnus.com>, October 1996
diff -Nuar glibc-2.2.5.orig/stdlib/gen-mpn-copy glibc-2.2.5/stdlib/gen-mpn-copy
--- glibc-2.2.5.orig/stdlib/gen-mpn-copy	Tue Sep 19 20:55:32 2000
+++ glibc-2.2.5/stdlib/gen-mpn-copy	Tue Jul  2 12:56:05 2002
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 translations='
 sparc64		sparc/sparc64
diff -Nuar glibc-2.2.5.orig/sysdeps/unix/make-syscalls.sh glibc-2.2.5/sysdeps/unix/make-syscalls.sh
--- glibc-2.2.5.orig/sysdeps/unix/make-syscalls.sh	Thu Sep 13 21:35:20 2001
+++ glibc-2.2.5/sysdeps/unix/make-syscalls.sh	Tue Jul  2 12:56:48 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 # Usage: make-syscalls.sh ../sysdeps/unix/common
 # Expects $sysdirs in environment.
diff -Nuar glibc-2.2.5.orig/sysdeps/unix/snarf-ioctls glibc-2.2.5/sysdeps/unix/snarf-ioctls
--- glibc-2.2.5.orig/sysdeps/unix/snarf-ioctls	Sun Jul  8 14:37:30 2001
+++ glibc-2.2.5/sysdeps/unix/snarf-ioctls	Tue Jul  2 12:57:00 2002
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # Copyright (C) 1991, 1992, 1995, 1997 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
 
diff -Nuar glibc-2.2.5.orig/timezone/yearistype glibc-2.2.5/timezone/yearistype
--- glibc-2.2.5.orig/timezone/yearistype	Mon Mar 19 23:22:34 2001
+++ glibc-2.2.5/timezone/yearistype	Tue Jul  2 12:57:12 2002
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/bash
 
 : '@(#)yearistype.sh	7.7'
 
--- glibc-2.2.5.orig/Makeconfig	Tue Jul 23 14:51:07 2002
+++ glibc-2.2.5/Makeconfig	Tue Jul 23 14:51:27 2002
@@ -16,6 +16,8 @@
 # Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 # 02111-1307 USA.
 
+SHELL=/bin/bash
+
 #
 #	Makefile configuration options for the GNU C library.
 #
diff -Naur glibc-2.2.1.orig/elf/Makefile glibc-2.2.1/elf/Makefile
--- glibc-2.2.1.orig/elf/Makefile	Sun Dec 31 15:17:09 2000
+++ glibc-2.2.1/elf/Makefile	Thu Mar 28 04:55:22 2002
@@ -18,6 +18,8 @@
 
 # Makefile for elf subdirectory of GNU C Library.
 
+SHELL=/bin/bash
+
 subdir		:= elf
 
 headers		= elf.h bits/elfclass.h link.h
diff -Naur glibc-2.2.1.orig/grp/Makefile glibc-2.2.1/grp/Makefile
--- glibc-2.2.1.orig/grp/Makefile	Tue Sep 19 20:55:29 2000
+++ glibc-2.2.1/grp/Makefile	Thu Mar 28 04:55:22 2002
@@ -19,6 +19,8 @@
 #
 #	Sub-makefile for grp portion of the library.
 #
+SHELL=/bin/bash
+
 subdir	:= grp
 headers := grp.h
 
diff -Naur glibc-2.2.1.orig/iconvdata/Makefile glibc-2.2.1/iconvdata/Makefile
--- glibc-2.2.1.orig/iconvdata/Makefile	Thu Mar 28 04:50:26 2002
+++ glibc-2.2.1/iconvdata/Makefile	Thu Mar 28 04:55:22 2002
@@ -19,6 +19,8 @@
 #
 #	Makefile for iconv data and code.
 #
+SHELL=/bin/bash
+
 subdir	:= iconvdata
 
 # Names of all the shared objects which implement the transformations.
diff -Naur glibc-2.2.1.orig/sysdeps/unix/Makefile glibc-2.2.1/sysdeps/unix/Makefile
--- glibc-2.2.1.orig/sysdeps/unix/Makefile	Tue Sep 19 20:55:35 2000
+++ glibc-2.2.1/sysdeps/unix/Makefile	Thu Mar 28 04:55:57 2002
@@ -18,6 +18,7 @@
 
 # The unix-specific configure fragment writes `unix-generated' in config.make.
 config-generated := $(config-generated) $(unix-generated)
+SHELL=/bin/bash
 
 ifeq (,$(filter-out $(sysdep_dir)/generic/ $(common-objpfx),\
 	$(dir $(firstword $(wildcard $(+sysdep_dirs:%=%/bits/local_lim.h))))))
